org.keycloak.models.sessions.infinispan

## Class InfinispanKeycloakTransaction

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.InfinispanKeycloakTransaction

- All Implemented Interfaces:
    KeycloakTransaction

      public class InfinispanKeycloakTransaction
      extends Object
      implements KeycloakTransaction

  Author:
    Stian Thorgersen

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `InfinispanKeycloakTransaction.CacheOperation`
    `static interface` | `InfinispanKeycloakTransaction.CacheTask`
    `class` | `InfinispanKeycloakTransaction.CacheTaskWithValue<V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfinispanKeycloakTransaction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `begin()`
    `void` | `commit()`
    `<K,V> V` | `get(org.infinispan.Cache<K,V> cache, K key)`
    `boolean` | `getRollbackOnly()`
    `boolean` | `isActive()`
    `<K,V> void` | `notify(ClusterProvider clusterProvider, String taskKey, ClusterEvent event, boolean ignoreSender)`
    `<K,V> void` | `put(org.infinispan.Cache<K,V> cache, K key, V value)`
    `<K,V> void` | `put(org.infinispan.Cache<K,V> cache, K key, V value, long lifespan, TimeUnit lifespanUnit)`
    `<K,V> void` | `putIfAbsent(org.infinispan.Cache<K,V> cache, K key, V value)`
    `<K,V> void` | `remove(org.infinispan.Cache<K,V> cache, K key)`
    `<K,V> void` | `replace(org.infinispan.Cache<K,V> cache, K key, V value, long lifespan, TimeUnit lifespanUnit)`
    `void` | `rollback()`
    `void` | `setRollbackOnly()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InfinispanKeycloakTransaction

          public InfinispanKeycloakTransaction()

  - ### Method Detail

    - #### begin

          public void begin()

      Specified by:
        `begin` in interface `KeycloakTransaction`

    - #### commit

          public void commit()

      Specified by:
        `commit` in interface `KeycloakTransaction`

    - #### rollback

          public void rollback()

      Specified by:
        `rollback` in interface `KeycloakTransaction`

    - #### setRollbackOnly

          public void setRollbackOnly()

      Specified by:
        `setRollbackOnly` in interface `KeycloakTransaction`

    - #### getRollbackOnly

          public boolean getRollbackOnly()

      Specified by:
        `getRollbackOnly` in interface `KeycloakTransaction`

    - #### isActive

          public boolean isActive()

      Specified by:
        `isActive` in interface `KeycloakTransaction`

    - #### put

          public <K,V> void put(org.infinispan.Cache<K,V> cache,
                                K key,
                                V value)

    - #### put

          public <K,V> void put(org.infinispan.Cache<K,V> cache,
                                K key,
                                V value,
                                long lifespan,
                                TimeUnit lifespanUnit)

    - #### putIfAbsent

          public <K,V> void putIfAbsent(org.infinispan.Cache<K,V> cache,
                                        K key,
                                        V value)

    - #### replace

          public <K,V> void replace(org.infinispan.Cache<K,V> cache,
                                    K key,
                                    V value,
                                    long lifespan,
                                    TimeUnit lifespanUnit)

    - #### notify

          public <K,V> void notify(ClusterProvider clusterProvider,
                                   String taskKey,
                                   ClusterEvent event,
                                   boolean ignoreSender)

    - #### remove

          public <K,V> void remove(org.infinispan.Cache<K,V> cache,
                                   K key)

    - #### get

          public <K,V> V get(org.infinispan.Cache<K,V> cache,
                             K key)

Copyright © 2021 JBoss by Red Hat. All rights reserved.